All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
SqrIntegral
Statistical Operations

Primitives for computing both the integral and the squared integral images of a given image. More...

## SqrIntegral

Given an input image and the specified value , the pixel value of the integral image at coordinate (i, j) will be computed as Given an input image and the specified value , the pixel value of the squared integral image at coordinate (i, j) will be computed as If the size of the input image is , the size of the squared integral image will be .
NppStatus | nppiSqrIntegral_8u32s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, Npp32s *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32s nVal, Npp32s nValSqr, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image SqrIntegral. More...
NppStatus | nppiSqrIntegral_8u32s_C1R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, Npp32s *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32s nVal, Npp32s nValSqr)
NppStatus | nppiSqrIntegral_8u32s64f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, Npp64f *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32s nVal, Npp64f nValSqr, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image SqrIntegral. More...
NppStatus | nppiSqrIntegral_8u32s64f_C1R (const Npp8u *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, Npp64f *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32s nVal, Npp64f nValSqr)
NppStatus | nppiSqrIntegral_8u32f64f_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, Npp64f *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32f nVal, Npp64f nValSqr, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image SqrIntegral. More...
NppStatus | nppiSqrIntegral_8u32f64f_C1R (const Npp8u *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, Npp64f *pSqr, int nSqrStep, NppiSize oSrcROI, Npp32f nVal, Npp64f nValSqr)

## Detailed Description

Primitives for computing both the integral and the squared integral images of a given image.

## Function Documentation

NppStatus nppiSqrIntegral_8u32f64f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp64f * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32f | nVal,
|  | Npp64f | nValSqr
| ) |  |

NppStatus nppiSqrIntegral_8u32f64f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | Npp64f * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32f | nVal,
|  | Npp64f | nValSqr,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image SqrIntegral.

Destination integral image is 32-bit floating point. Destination square integral image is 64-bit double floating point.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  oSrcROI | Region-of-Interest (ROI).
  nVal | The value to add to pDst image pixels
  nValSqr | The value to add to pSqr image pixels
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrIntegral_8u32s64f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | Npp64f * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32s | nVal,
|  | Npp64f | nValSqr
| ) |  |

NppStatus nppiSqrIntegral_8u32s64f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | Npp64f * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32s | nVal,
|  | Npp64f | nValSqr,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image SqrIntegral.

Destination integral image is 32-bit signed int. Destination square integral image is 64-bit double floating point.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  oSrcROI | Region-of-Interest (ROI).
  nVal | The value to add to pDst image pixels
  nValSqr | The value to add to pSqr image pixels
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiSqrIntegral_8u32s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | Npp32s * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32s | nVal,
|  | Npp32s | nValSqr
| ) |  |

NppStatus nppiSqrIntegral_8u32s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | Npp32s * | pSqr,
|  | int | nSqrStep,
|  | NppiSize | oSrcROI,
|  | Npp32s | nVal,
|  | Npp32s | nValSqr,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image SqrIntegral.

Destination integral image and square integral image are 32-bit signed int.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  oSrcROI | Region-of-Interest (ROI).
  nVal | The value to add to pDst image pixels
  nValSqr | The value to add to pSqr image pixels
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation